Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.diff/1 1.15.22 42
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.diff
Class Difference.Part

    java.lang.Object
      org.netbeans.api.diff.Difference.Part

All Implemented Interfaces:
  Serializable

Enclosing class:
  Difference

    public static final class Difference.Part

extends Object
implements Serializable

This class represents a difference on a single line.

See Also:
  Serialized Form

Constructor Summary
`Difference.Part(int type, int line, int pos1, int pos2)` Creates a new instance of LineDiff

Method Summary
`int` | `getEndPosition()` Get the position on which the difference ends on this line.
`int` | `getLine()` Get the line number.
`int` | `getStartPosition()` Get the position on which the difference starts on this line.
`int` | `getType()` Get the difference type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Difference.Part

    public Difference.Part(int type,
                           int line,
                           int pos1,
                           int pos2)

  Creates a new instance of LineDiff

  Parameters:
    `type` - The type of the difference. Must be one of the {DELETE, ADD or CHANGE
    `line` - The line number
    `pos1` - The position on which the difference starts on this line.
    `pos2` - The position on which the difference ends on this line.

Method Detail

### getType

    public int getType()

  Get the difference type. It's one of DELETE, ADD or CHANGE.

### getLine

    public int getLine()

  Get the line number.

### getStartPosition

    public int getStartPosition()

  Get the position on which the difference starts on this line.

### getEndPosition

    public int getEndPosition()

  Get the position on which the difference ends on this line.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.diff/1 1.15.22 42
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.